package rozwiazania_zadan.r1.z04_remont;

import java.util.Locale;

import javax.swing.JOptionPane;

public class FirmaRemontowa3 {

	private static final double CENA_GIPS = 30.0;
	private static final double CENA_MALOWANIE = 15.0;
	private static final double CENA_PANELE = 20.0;
	private static final double CENA_LISTWY = 10.0;

	public static void main(String[] args) {
		Locale.setDefault(Locale.US); // aby ułamki dziesiętne wszędzie były z kropką
		
		double dlug = Double.parseDouble(JOptionPane.showInputDialog("Podaj długość pokoju"));
		double szer = Double.parseDouble(JOptionPane.showInputDialog("Podaj szerokość pokoju"));
		double wys = Double.parseDouble(JOptionPane.showInputDialog("Podaj wysokość pokoju", "2.50"));

		double obwod = 2 * dlug + 2 * szer;
		double pow_podlogi = dlug * szer;
		double pow_scian = obwod * wys;
		
		
		double koszt = 0.0;

		double koszt_gips = pow_scian * CENA_GIPS;
		if(zapytaj("Gipsowanie", koszt_gips)) {
			koszt += koszt_gips;
		}

		double koszt_mal = (pow_scian + pow_podlogi) * CENA_MALOWANIE;
		if(zapytaj("Malowanie", koszt_mal)) {
			koszt += koszt_mal;
		}

		double koszt_panel = pow_podlogi * CENA_PANELE;
		if(zapytaj("Założenie paneli", koszt_panel)) {
			koszt += koszt_panel;
		}

		double koszt_listw = obwod * CENA_LISTWY;
		if(zapytaj("Założenie listew", koszt_listw)) {
			koszt += koszt_listw;
		}
		
		JOptionPane.showMessageDialog(null, String.format("Sumaryczny koszt robót: %.2f zł", koszt));
	}
	
	static boolean zapytaj(String robota, double cena) {
		String txt = String.format("%s kosztowałoby %.2f zł\nCzy chcesz wykonać tę pracę?", robota, cena);
		int wybor = JOptionPane.showConfirmDialog(null, txt, "Pytanie", JOptionPane.YES_NO_OPTION);
		return wybor == JOptionPane.YES_OPTION;
	}

}
